Get Refund
curl --request GET \
--url https://api-staging.eximpe.com/pg/refunds/{refund_id} \
--header 'X-Client-ID: <api-key>' \
--header 'X-Client-Secret: <api-key>'import requests
url = "https://api-staging.eximpe.com/pg/refunds/{refund_id}"
headers = {
"X-Client-ID": "<api-key>",
"X-Client-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Client-ID': '<api-key>', 'X-Client-Secret': '<api-key>'}
};
fetch('https://api-staging.eximpe.com/pg/refunds/{refund_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Refund details retrieved successfully",
"data": {
"refund_id": "RF1481534012",
"refund_amount": 12,
"refund_status": "INITIATED",
"refunded_at": null,
"message": "No action status found",
"payment_id": "PR3828502708"
}
}{
"success": false,
"message": "Refund not found",
"error": {
"code": "ERR_REFUND_404",
"message": "Refund with ID 'RF1481534012' not found"
}
}Refund
Get Refund
Retrieve the details of a specific refund by its ID.
GET
/
pg
/
refunds
/
{refund_id}
Get Refund
Authorizations
Client app ID. You can find your app id in the merchant dashboard.
Client secret key. You can find your secret in the merchant dashboard.
Path Parameters
The ID of the refund to retrieve.
⌘I